Can I upgrade directly from v12 to v15

Discussion in '3CX Phone System - General' started by datamerge, Apr 4, 2017.

Thread Status:
Not open for further replies.
  1. datamerge

    datamerge New Member

    Joined:
    Nov 19, 2014
    Messages:
    169
    Likes Received:
    18
    Hi all

    We started with 3CX at v14. I have just inherited a client on V12, so the first thing we want to do is bring them up to date. Are there any gotchas going directly from v12 to v15? The site is quite simple. It has a Grandstream FXO gateway that was on the supported list at install time apparently and about 12 handsets. They don't have any funky configurations.
     
  2. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,349
    Likes Received:
    274
    Hello @datamerge

    Please note that jumping from v12 to v15 is not supported and should not be attempted. You need to go an intermediate version first. You can go to v14 (if v12 is the latest backup) and convert the call history there or go to v12.5 and then to V15. You will need to manually convert call history once you install v15. Also one thing to know is that the Grandstream gateway is not supported in v15.
     
  3. datamerge

    datamerge New Member

    Joined:
    Nov 19, 2014
    Messages:
    169
    Likes Received:
    18
    Thanks Yiannish. They may even be on 12.5. I only saw it briefly and we are waiting for remote access, so fingers crossed. I would rather only a single hop to save them money.

    Is there any reason the gateway wouldn't work? They won't have budget to buy a new one and I don't want them to stay in the past.
     
  4. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,349
    Likes Received:
    274
    There is no template for this gateway in v15 so if it needs any re-configuration for v15 you will need to do it manually.
     
  5. Adil

    Joined:
    Mar 29, 2017
    Messages:
    9
    Likes Received:
    0
    I have done this upgrade from V12 to V14 and then to V15. but I have elected to go back to V14. BTW make sure you do backup for V12 before you uninstall it. then you will need to do backup for V14 before you go to V15. good luck :)
     
  6. datamerge

    datamerge New Member

    Joined:
    Nov 19, 2014
    Messages:
    169
    Likes Received:
    18
    OK. I have ascertained that I have the following build.
    Build 12.5.44178.1002
    Based on the above, I am assuming I can go straight to v15.
    Please let me know if this is not the case.
     
  7. JasonNadeau

    JasonNadeau Member

    Joined:
    Oct 14, 2015
    Messages:
    262
    Likes Received:
    46
    You're good to go
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. datamerge

    datamerge New Member

    Joined:
    Nov 19, 2014
    Messages:
    169
    Likes Received:
    18
    Thanks guys!
     
Thread Status:
Not open for further replies.